<form [formGroup]="formGrp" (ngSubmit)="submit()">
  <div>
    <input type="text" formControlName="login" (change)="logChange()">
    <div *ngIf="formGrp.get('login').invalid && formGrp.get('login').dirty">
<!--      first way of showing error -->
      <small *ngFor="let err of getFieldErrors('login')">
        {{ err }}
      </small>
<!--      second way of showing error -->
      <small *ngIf="formGrp.controls['login'].getError('required')">Require!</small>
    </div>
  </div>
  <input type="number" formControlName="password">
  <input type="text" formControlName="confirmPassword">
  <input type="submit" value="Submit">
</form>
